/* VARIABLES
--------------------------------------------- */

@font-face {
    font-family: 'CoconPro';
    src: url('/wp-content/themes/generalstudio/assets/fonts/coconpro.woff2') format('woff2'),
         url('/wp-content/themes/generalstudio/assets/fonts/coconpro.woff') format('woff');
    font-weight: normal;
    font-style: normal;
}

/* VARIABLES
--------------------------------------------- */

:root {
    /* Fonts */
    --fnt-family-primary: "Sansation", sans-serif;
    --fnt-family-secondary: "CoconPro", serif;

    /* Font sizes */
    --fnt-size-xxxl: 3arem;
    --fnt-size-xxl: 2rem;
    --fnt-size-xl: 1.75rem;
    --fnt-size-lg: 1.5rem;
    --fnt-size-md: 1.2rem;
    --fnt-size: 1rem;
    --fnt-size-sm: 0.875rem;

    /* Colors */
    --clr-yellow: #F9E01E;
    --clr-pink: #E68AB8;
    --clr-green: #95C11F;
    --clr-gray: #3C3C3C;

    --clr-light-muted: rgba(255, 255, 255, 0.5);
    --clr-dark-muted: rgba(0, 0, 0, 0.5);

    --clr-dark: #3C3C3C;
    --clr-light: #FFFFFF;
    --clr-muted: #b7b7b7;

    --clr-success: var(--clr-green);
    --clr-warning: var(--clr-yellow);
    --clr-danger: #972f39;

    --clr-link: var(--clr-dark);
    --clr-link-hover: var(--clr-green);
    --clr-link-active: var(--clr-green);
    --clr-link-focus: var(--clr-green);
    --clr-link-visited: var(--clr-dark);

    --shadow-small: 0 3px 6px rgba(0, 0, 0, .15);
    --shadow-default: 0 8px 16px rgba(0, 0, 0, .15);
    --shadow-large: 0 16px 32px rgba(0, 0, 0, .15);

    --shadow-inverted-small: 0 -3px 6px rgba(0, 0, 0, .15);
    --shadow-inverted-default: 0 -8px 16px rgba(0, 0, 0, .15);
    --shadow-inverted-large: 0 -16px 32px rgba(0, 0, 0, .15);

    --theme-background-color: var(--clr-light);
    --theme-text-color: var(--clr-green);
    --theme-text-muted-color: var(--clr-dark);
	
	--img-arrow: '›';
}

/* THEMING
--------------------------------------------- */

.has-green-section-background-color,
body.theme-green {
    --theme-background-color: var(--clr-green);
    --theme-text-color: var(--clr-light);
    --theme-text-muted-color: var(--clr-light-muted);
}

.has-pink-section-background-color,
body.theme-pink {
    --theme-background-color: var(--clr-pink);
    --theme-text-color: var(--clr-light);
    --theme-text-muted-color: var(--clr-light-muted);
}

.has-yellow-section-background-color,
body.theme-yellow {
    --theme-background-color: var(--clr-yellow);
    --theme-text-color: var(--clr-dark);
    --theme-text-muted-color: var(--clr-dark-muted);
}

.has-gray-section-background-color,
.has-dark-section-background-color,
body.theme-gray, body.theme-dark {
    --theme-background-color: var(--clr-gray);
    --theme-text-color: var(--clr-light);
    --theme-text-muted-color: var(--clr-light-muted);
}

.has-white-section-background-color,
.has-light-section-background-color,
body.theme-white, body.theme-light {
    --theme-background-color: var(--clr-light);
    --theme-text-color: var(--clr-dark);
    --theme-text-muted-color: var(--clr-dark-muted);
}

.has-background {
    background-color: var(--theme-background-color);
    color: var(--theme-text-color);
}

.has-background h1, 
.has-background h2,
.has-background h4 {
    color: var(--theme-text-color);
}


/* BASE
--------------------------------------------- */

*,
*:before,
*:after {
    box-sizing: border-box;
}

html {
    font-size: 18px; /* fallback */
    font-size: clamp(16px, 1.1vw, 18px); /* responsive base font */
}

body {
    font-family: var(--fnt-family-primary);
    line-height: 1.5;
    color: var(--clr-dark);
    background-color: var(--clr-light);
    margin: 0;
    padding: 0;
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
}

h1, h2, h3, h4, h5, h6 {
	margin: 1em 0 2em 0;
    font-weight: normal;
    color: var(--clr-dark);
    line-height: 1.2;
    font-family: var(--fnt-family-primary);
}

h1 { 
    font-family: var(--fnt-family-secondary);
    font-size: clamp(1.75rem, 4vw, 2rem);  
    margin: 0;
    color: var(--clr-dark);
    text-transform: lowercase;
}

h2 { 
    font-size: clamp(1.5rem, 4vw, 2rem);
    font-family: var(--fnt-family-secondary);
}

h3 { 
    line-height: 1.5em; 
    box-decoration-break: clone;
    -webkit-box-decoration-break: clone;
    font-size: clamp(1.25rem, 3vw, 1.5rem);
    background: repeating-linear-gradient(
        to bottom,
        var(--theme-background-color) 0.05em,                  /* highlight color start */
        var(--theme-background-color) 1.45em,            /* highlight color height = line-height */
        transparent 1.45em,       /* gap start */
        transparent 1.55em        /* gap end */
    );
    color: var(--theme-text-color);
    padding: 0 .5rem !important;
    background-color: transparent !important;
    display: inline-block;
}

h3.has-background {
    background-color: transparent !important;
}

h4 { font-size: clamp(1.125rem, 2.5vw, 1.25rem); font-weight: bold; }
h5 { font-size: clamp(1rem, 2vw, 1.125rem); font-weight: bold; }

a {
    color: var(--clr-link);
    transition: all .25s ease;
    text-decoration: none;
}

a:hover {
    color: var(--clr-link-hover);
    text-decoration: none;
}

strong {
    font-weight: bold;
}

em {
    font-style: italic;
    color: inherit;
}

/* LAYOUT
--------------------------------------------- */

/* - Header - */

.site-header {
    background-color: var(--theme-background-color);
    color: var(--theme-text-color);
    padding: 1rem 0;
}

.site-header.uk-sticky-fixed {
    box-shadow: var(--shadow-default);
}

.site-header__title {
    margin-top: auto;
    color: var(--theme-text-color);
}

.site-header__subtitle {
    margin-left: 2rem;
    color: var(--theme-text-muted-color);
}

.site-header__logo {
    max-width: 160px;
}

@media only screen and (min-width : 960px) {
    .site-header__logo {
        max-width: 200px;
    }
}

.site-header__logo-svg {
    fill: var(--theme-text-color);
}

.site-header__toggle {
    fill: var(--theme-text-color);
}

/* - Front page Header - */

.home .site-header {
    visibility: hidden;
    position: absolute;
    left: 0;
    right: 0;
    opacity: 0;
}

.home .site-header.uk-sticky-fixed {
    visibility: visible;
    opacity: 1;
}

.home .uk-sticky-placeholder {
    display: none;
}

.front-page-header {
    background-position: center center;
    background-repeat: no-repeat;
    background-size: cover;
    background-image: url(/wp-content/themes/generalstudio/assets/images/wood.webp);
    padding: 2rem 0 0 0;
    border-bottom: 12px solid var(--clr-green);
}

.front-page-header__nav {
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.front-page-header__logo {
    max-width: min(50vw, 320px);
}

.front-page-header__toggle-svg {
    fill: var(--clr-light);
    width: 80px;
}

.front-page-header__motto {
    padding: 3rem 0;
    max-width: 640px;
    font-weight: normal;
    font-size: 1.2rem;
    color: var(--clr-light);
    font-family: var(--fnt-family-secondary);
}

/* - Menu home - */

.menu-home {
    list-style: none;
    padding: 0;
    margin: 0;
    display: flex;
    flex-direction: column;
}

.menu-home > .menu-home__item {
    background-color: var(--clr-dark);
    background-repeat: no-repeat;
    background-position: center center;
    background-size: cover;
    position: relative;
    padding: 4rem 0 2rem 10%;
}

@media only screen and (min-width : 960px) {
    .menu-home {
        flex-direction: row;
    }

    .menu-home > .menu-home__item {
        flex: 0 0 33.333%;
        padding-top: 50vh;
    }
}

.menu-home > .menu-home__item::before {
    content: '';
    display: block;
    background-color: rgba(60, 60, 60, 0.75);
    position: absolute;
    inset: 0;
    z-index: 1;
	opacity: 1;
	transition: opacity .25s ease;
}

.menu-home > .menu-home__item:hover::before {
	opacity: 0.8;
}


.menu-home > .menu-home__item > * {
    position: relative;
    z-index: 2;
}

.menu-home > .menu-home__item > .menu-home__link {
    display: block;
    color: var(--clr-light);
    font-family: var(--fnt-family-secondary);
    font-size: 2rem;
    border-bottom: 1px solid var(--clr-green);
}

.menu-home__subnav {
    list-style: none;
    margin: 0;
    padding: 2rem 0;
}

.menu-home__subnav > .menu-home__item {

}

.menu-home__subnav > .menu-home__item > .menu-home__link {
    display: block;
    color: var(--clr-light);
    font-family: var(--fnt-family-secondary);
    font-size: 1.1rem;
    padding: .2rem 0;
}

.menu-home__subnav > .menu-home__item > .menu-home__link:hover,
.menu-home__subnav > .menu-home__item.green > .menu-home__link {
    color: var(--clr-green);
}

/* - Primary navigation - */

.site-nav {
    display: flex;
}

.site-nav__right {
    margin-left: auto;
}

.site-nav > * {
    display: flex;
    gap: 2rem;
    align-items: center;
}


.modal-nav__container {
    background-position: center center;
    background-repeat: no-repeat;
    background-size: cover;
    background-image: url(/wp-content/themes/generalstudio/assets/images/wood.webp);
    display: flex;
    flex-direction: column;
}


.modal-nav__header,
.modal-nav__footer {
    padding: .5rem 2rem;
    flex-shrink: 0;
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.modal-nav__logo {
    max-width: 120px;
}

.modal-nav__content {
    background-color: var(--clr-light);
    flex: 1 1 auto;
    overflow-y: auto;
}

.modal-nav__image {
    background-position: center center;
    background-repeat: no-repeat;
    background-size: cover;
    /*background-image: url(/wp-content/themes/generalstudio/assets/images/menu.webp);
    opacity: .2;*/
}

.menu-main {
    list-style: none;
    display: flex;
    flex-direction: column;
    width: 380px;
    margin-left: auto;
    padding: 2rem;
    gap: .75rem;
    margin-top: auto;
    margin-bottom: auto;
}

.menu-main > .menu-main__item > .menu-main__link {
    display: block;
    border-radius: 8px;
    box-shadow: var(--shadow-small);
    color: var(--clr-green);
    font-size: var(--fnt-size-lg);
    font-family: var(--fnt-family-secondary);
    padding: .5rem 1rem;
    text-align: right;
    text-transform: lowercase;
}

/*
.menu-main > .menu-main__item.current-menu-ancestor > .menu-main__link {
	color: var(--clr-dark);
}
*/

.menu-main__subnav {
    list-style: none;
    display: block;
    background-color: var(--clr-light);
    box-shadow: var(--shadow-default);
    padding: 1rem 2rem;
    margin: 0;
    border-radius: 8px;
}

.menu-main__subnav > .menu-main__item > .menu-main__link {
    padding: .2rem 0;
    display: block;
}

/* - Mobile navigation - */

.menu-main-mobile {
    margin-top: 2rem;
    padding: 1rem;
    display: flex;
    flex-direction: column;
    gap: 1rem;
    margin-left: auto;
    margin-right: auto;
    width: 100%;
    max-width: 420px;
}

.menu-main-mobile > .menu-main-mobile__item {
    display: block;
    border-radius: 8px;
    box-shadow: var(--shadow-small);
}

.menu-main-mobile > .menu-main-mobile__item > .menu-main-mobile__link {
    display: flex;
    justify-content: space-between;
    color: var(--clr-green);
    font-size: var(--fnt-size-lg);
    font-family: var(--fnt-family-secondary);
    padding: .5rem 2rem;
    text-transform: lowercase;
}

.menu-main-mobile__subnav {
    padding: .5rem 2rem !important;
}

.menu-main-mobile__subnav > .menu-main-mobile__item > .menu-main-mobile__link {
    padding: .25rem 0;
    display: block;
}

/*
.menu-main-mobile > .menu-main-mobile__item.current-menu-ancestor > .menu-main-mobile__link {
	color: var(--clr-dark);
}
*/

/* - Quick navigation - */

.menu-quick {
    display: flex;
    list-style: none;
    padding: 0;
    margin: 0;
    gap: 1rem;
    justify-content: center;
    padding: 2rem 2rem 0 2rem;
}

@media only screen and (min-width : 960px) {
    .menu-quick--nav {
        justify-content: flex-end;
    }
}

.menu-quick a {
    display: flex;
    align-items: center;
    justify-content: center;
    width: 48px;
    height: 48px;
    font-size: var(--fnt-size-lg);
    box-shadow: var(--shadow-inverted-small);
    color: var(--clr-green);
    background-color: var(--clr-light);
    fill: var(--clr-green);
}

.menu-quick--home {
    gap: 1.2rem;
}

/* - Main - */

.site-main {}

/* - Footer - */

.site-footer {
    background-position: center center;
    background-repeat: no-repeat;
    background-size: cover;
    color: var(--clr-light);
    font-size: .9rem;
    font-weight: 600;
}

.site-footer__column,
.site-footer__column h4 {
    color: inherit;
}

.site-footer__column h4 {
    font-size: 1.5rem;
    margin-bottom: .5rem;
}

.site-footer__credits {
    margin-top: 2rem;
}

.site-footer__credits .uk-grid-divider > ::before {
    visibility: hidden !important;
}


/* COMPONENTS
--------------------------------------------- */

/* - Page - */

.page__content {
    overflow-x: hidden;
    margin-bottom: 6rem;
}

.page__header {
	background-color: var(--theme-background-color);
	padding: 1rem 0;
}

/* - Article - */

.article__category,
.article__title {
    font-family: var(--fnt-family-secondary);
    margin: 0;
    font-size: 1.5rem;
    font-weight: normal;
}

.article__category {
    color: var(--clr-green);
}

.article__title {
    padding-left: 1rem;
    color: var(--clr-dark);
    margin-bottom: 2rem;
}

.article__excerpt > *:first-child {
    margin-top: 0;
}

/* - Button - */

.button {
    margin: 0;
    border: none;
    overflow: visible;
    text-transform: none;
    -webkit-appearance: none;
    display: inline-block;
    box-sizing: border-box;
    vertical-align: middle;
    text-align: center;
    text-decoration: none;
    transition: .1s ease-in-out;
    transition-property:color, background-color, border-color;
    color: var(--clr-dark);
    font-size: 1rem;
    padding-top: calc(0.667em + 2px);
    padding-right: calc(1.333em + 2px);
    padding-bottom: calc(0.667em + 2px);
    padding-left: calc(1.333em + 2px);
    background-color: var(--clr-light);
    font-family: var(--fnt-family-secondary);
    border-radius: 9999px;
    font-weight: normal;
    box-shadow: var(--shadow-default);
}

.button:not(:disabled) {
    cursor:pointer
}

.button::-moz-focus-inner {
    border: 0;
    padding:0
}

.button:hover {
    text-decoration:none;
    color: var(--clr-green);
}

/* - Card - */

.card {
    background-position: center center;
    background-repeat: no-repeat;
    background-size: cover;
    border-radius: 24px;
    padding: 1rem 1rem 4rem 1rem;
    color: var(--clr-light);
    display: flex;
    flex-direction: column;
    position: relative;
    overflow: visible;
    margin-bottom: 2rem !important;
    gap: 1.5rem;
    align-items: center;
}

.card__icon {
    fill: var(--clr-light);
    flex-shrink: 0;  /* prevents shrinking below 80px */
    flex-grow: 0;
    display: flex;
}

.card__icon svg {
    width: 70px
}

.card__content {
    display: flex;
    align-items: center;
    justify-content: space-between;
    flex-direction: column;
    gap: 1.5rem;
    text-align: center;
    min-height: 140px;
}

.card__title {
    color: var(--clr-light);
    margin: 0;
    font-size: 1.2rem;
    background-color: var(--clr-green);
    font-family: var(--fnt-family-secondary);
    border-radius: 9999px;
    border: 2px solid var(--clr-light);
    font-weight: normal;
    padding: .35rem 1rem;
    max-width: 360px;
    box-shadow: var(--shadow-default);
    text-align: center;
}

.card__description {
    font-weight: 600;
    font-size: 1.2rem;
}

.card__button {
    color: var(--clr-dark);
    font-size: .9rem;
    background-color: var(--clr-light);
    font-family: var(--fnt-family-secondary);
    border-radius: 9999px;
    font-weight: normal;
    padding: .35rem 1rem;
    box-shadow: var(--shadow-default);
    position: absolute;
    right: 1rem;
    bottom: 0;
    transform: translateY(50%);
    display: block;
}

@media only screen and (min-width : 960px) {
    .card-group--md .card,
    .card-group--lg .card {
        flex-direction: row;
        padding: 1rem 2rem 4rem 2rem;
    }

    .card-group--md .card__content,
    .card-group--lg .card__content {
        align-items: flex-start;
        padding-top: 1rem;
        text-align: left;
    }

    .card-group--md .card,
    .card-group--lg .card {
        justify-content: flex-start;
        align-items: flex-start;
    }
	
	.card__title {
		font-size: .9rem;
	}

	.card__description {
		font-size: .9rem;
	}
}


/* WORDPRESS
--------------------------------------------- */

.wp-block-buttons {

}

.wp-block-buttons.is-vertical > .wp-block-button {
    display: block;
    width: 100%;
}

.wp-block-buttons .wp-block-button__link {
    background-color: var(--clr-light);
    color: var(--clr-dark);
    box-shadow: var(--shadow-default);
    display: flex;
    align-items: center;
    justify-content: space-between;
    font-family: var(--fnt-family-secondary);
    gap: 2rem;
}

.wp-block-buttons .wp-block-button__link::after {
    content: var(--img-arrow);
    display: block;
    color: var(--clr-green);
    font-size: 1.5rem;
    line-height: 1;
    font-family: var(--fnt-family-primary);
}

.wp-block-buttons .wp-block-button__link:hover {
    color: var(--clr-green);
}

:where(.wp-block-columns.is-layout-flex) {
    gap: 6rem;
}

.wp-block-post-featured-image,
.wp-block-group {
    width: 100vw;
    position: relative;
    left: 50%;
    right: 50%;
    margin-left: -50vw;
    margin-right: -50vw;
}

.wp-block-group {
    padding: 4rem 0;
}

h3.is-style-accordion {
    margin-bottom: 0;
    cursor: pointer;
}

h3.is-style-accordion::after {
    display: inline;
    content: '+';
    padding-left: 1rem;

}

.wp-block-group.is-style-accordion {
    width: auto;
    left: auto;
    right: auto;
    margin-left: 0;
    margin-right: 0;
    padding: 1rem 0.5rem;
}

.wp-block-group.is-style-accordion.is-layout-constrained > * {
    padding: 0;
}

.wp-block-post-featured-image {
    margin-top: 0;
    margin-bottom: 0;
    padding: 2rem 0;
    background-image: url(/wp-content/themes/generalstudio/assets/images/wood.webp);
    background-position: center center;
    background-repeat: no-repeat;
    background-size: cover;
}

.has-theme .wp-block-post-featured-image {
    background-image: none;
    padding: 0;
}

.is-layout-constrained > * {
    display: flow-root;
    box-sizing: content-box;
    max-width: 1400px;
    margin-left: auto;
    margin-right: auto;
    padding-left: 15px;
    padding-right:15px;
}

@media (min-width: 640px) {
    .is-layout-constrained > * {
        padding-left: 30px;
        padding-right:30px
    }
}

@media (min-width: 960px) {
    .is-layout-constrained > * {
        padding-left: 40px;
        padding-right:40px
    }
}

.is-layout-constrained > *:last-child {
    margin-bottom: 0;
}

.is-style-wooden-background {
    background-position: center center;
    background-repeat: no-repeat;
    background-size: cover;
    background-image: url(/wp-content/themes/generalstudio/assets/images/wood.webp);
}

.is-style-wooden-background > * {
    color: var(--clr-light);
} 

.is-style-alt-font {
    font-family: var(--fnt-family-secondary);
}


/* OVERRIDES
--------------------------------------------- */

/* MEDIA QUERIES
--------------------------------------------- */

/* Custom, iPhone Retina */
@media only screen and (min-width : 320px) {}

/* Extra Small Devices, Phones */
@media only screen and (min-width : 640px) {}

/* Small Devices, Tablets */
@media only screen and (min-width : 768px) {}

/* Medium Devices, Desktops */
@media only screen and (min-width : 960px) {}

/* Large Devices, wide Screens */
@media only screen and (min-width : 1200px) {}

/* Extra large Devices */
@media only screen and (min-width : 1400px) {}